Subject: Re: linux-next: Fixes tag needs some work in the tip tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 18 Jan 2019 11:32:30 +1100

Hi Thomas,

On Fri, 18 Jan 2019 00:45:44 +0100 (CET) Thomas Gleixner <[email-masked]> wrote:
>
> On Fri, 18 Jan 2019, Stephen Rothwell wrote:
> > Commit
> > 
> >   a31e184e4f69 ("x86/pkeys: Properly copy pkey state at fork()")
> > 
> > Fixes tag
> > 
> >   Fixes: e8c24d3a23a ("x86/pkeys: Allocation/free syscalls")
> > 
> > has these problems:
> > 
> >   - SHA1 should be at least 12 digits long  
> 
> Sigh. I'll add that to my sanity checks, but this one has to be as is as
> it's in the middle of a series of fixes pending for linus tree.

That's OK, more of a reminder ... the abbreviated SHA1 is unique now,
but may not be in the future - of course 12 digits does not guarantee
that either.  I am told we already have some clashes using 11 digits :-(

-- 
Cheers,
Stephen Rothwell